
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 05/26/2011 17:39:31
-- Generated from EDMX file: D:\work\ef\test1\test1\MyEFModel.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [EFUSERS];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------


-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------


-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'Users'
CREATE TABLE [dbo].[Users] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Login] nvarchar(255)  NOT NULL,
    [Registered] datetime  NOT NULL,
    [Group_Id] int  NOT NULL
);
GO

-- Creating table 'Groups'
CREATE TABLE [dbo].[Groups] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(255)  NOT NULL
);
GO

-- Creating table 'Rights'
CREATE TABLE [dbo].[Rights] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Description] nvarchar(255)  NOT NULL
);
GO

-- Creating table 'GroupRight'
CREATE TABLE [dbo].[GroupRight] (
    [Groups_Id] int  NOT NULL,
    [Rights_Id] int  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [Id] in table 'Users'
ALTER TABLE [dbo].[Users]
ADD CONSTRAINT [PK_Users]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Groups'
ALTER TABLE [dbo].[Groups]
ADD CONSTRAINT [PK_Groups]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'Rights'
ALTER TABLE [dbo].[Rights]
ADD CONSTRAINT [PK_Rights]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Groups_Id], [Rights_Id] in table 'GroupRight'
ALTER TABLE [dbo].[GroupRight]
ADD CONSTRAINT [PK_GroupRight]
    PRIMARY KEY NONCLUSTERED ([Groups_Id], [Rights_Id] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [Group_Id] in table 'Users'
ALTER TABLE [dbo].[Users]
ADD CONSTRAINT [FK_UserGroup]
    FOREIGN KEY ([Group_Id])
    REFERENCES [dbo].[Groups]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_UserGroup'
CREATE INDEX [IX_FK_UserGroup]
ON [dbo].[Users]
    ([Group_Id]);
GO

-- Creating foreign key on [Groups_Id] in table 'GroupRight'
ALTER TABLE [dbo].[GroupRight]
ADD CONSTRAINT [FK_GroupRight_Group]
    FOREIGN KEY ([Groups_Id])
    REFERENCES [dbo].[Groups]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [Rights_Id] in table 'GroupRight'
ALTER TABLE [dbo].[GroupRight]
ADD CONSTRAINT [FK_GroupRight_Right]
    FOREIGN KEY ([Rights_Id])
    REFERENCES [dbo].[Rights]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_GroupRight_Right'
CREATE INDEX [IX_FK_GroupRight_Right]
ON [dbo].[GroupRight]
    ([Rights_Id]);
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------